View Issue Details

IDProjectCategoryView StatusLast Update
0001092DraftBugpublic2013-06-25 12:43
ReporteryorikAssigned Toyorik 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version 
Target Version0.14Fixed in Version0.14 
Summary0001092: Draft absolute coords should be relative to the WP
DescriptionIf the relative button is pressed, "forced" absolute units such as the first point of a line or rectangle should be relative to the WP.

Thread at https://sourceforge.net/apps/phpbb/free-cad/viewtopic.php?f=3&t=3908&p=30727#p30727
TagsNo tags attached.

Activities

wandererfan

2013-04-09 15:18

developer   ~0003056

Just a suggestion, but when using a WP, should the labels of X,Y,Z be changed to something like X',Y' and Offset? Or L/R, Up/Down and In/Out? It is supposed to be 2D after all.

When WP=none, X,Y,Z is clear and allows for '3D' drafting.

yorik

2013-04-09 16:06

administrator   ~0003057

Hm not sure it won't be more confusing than it is... Bu you are right anyway, something could be done to differentiate. Maybe local X / global X?

yorik

2013-06-25 12:43

administrator   ~0003238

Added with commit 7f21632

The draft X,Y,Z coordinates are now displayed as global, or local if the current working plane is different from the world axes.

Issue History

Date Modified Username Field Change
2013-04-09 14:18 yorik New Issue
2013-04-09 14:18 yorik Status new => assigned
2013-04-09 14:18 yorik Assigned To => yorik
2013-04-09 15:18 wandererfan Note Added: 0003056
2013-04-09 16:06 yorik Note Added: 0003057
2013-04-19 19:43 yorik Project FreeCAD => Draft
2013-06-25 12:43 yorik Note Added: 0003238
2013-06-25 12:43 yorik Status assigned => closed
2013-06-25 12:43 yorik Resolution open => fixed
2013-06-25 12:43 yorik Fixed in Version => 0.14